## synaptic 0.84.6linuxmint2

=== debian/changelog ===
synaptic (0.84.6linuxmint2) ulyana; urgency=medium

  * polkit: Fix polkit message

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 18 Jun 2020 14:13:58 +0100

synaptic (0.84.6linuxmint1) ulyana; urgency=medium

  * Added patches for Linux Mint and build server (which runs Debian)
  * Don't show upgrade features
  * Don't color the search entry in yellow when performing a search
  * dialog_conffile.ui: Properly expand a scrolled window
  * error-dialogs: Fix the default height
  * Add support for window-progress

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Apr 2020 14:57:06 +0100

synaptic (0.84.6ubuntu5) focal; urgency=medium

  * Correctly read preferences file from synaptic state dir again

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 28 Feb 2020 16:13:11 +0100

synaptic (0.84.6ubuntu4) focal; urgency=high

  * Fix for apt 1.9.11: Replace manual opening of cache with pkgCacheFile,
    MMap symbols are no longer visible.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 28 Feb 2020 16:03:40 +0100

synaptic (0.84.6ubuntu3) eoan; urgency=medium

  * cherry-pick:
    - update recommends of libgtk2-perl to libgtk3-perl

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Oct 2019 07:00:21 +0200

synaptic (0.84.6ubuntu2) eoan; urgency=medium

  * cherry-pick:
    "Allow running synaptic under wayland again. Wayland supports
    this now since Gnome/Mutter 3.34"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 13 Oct 2019 08:57:20 +0200

synaptic (0.84.6ubuntu1) eoan; urgency=medium

  * [master..432f2e58] Port to apt 1.9.0 
    (https://github.com/mvo5/synaptic/pull/41)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Jun 2019 17:47:34 +0200

## synaptic 0.84.6linuxmint2.1

=== debian/changelog ===
synaptic (0.84.6linuxmint2.1) ulyana; urgency=medium

  * Open a cache even when update-at-startup is True

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 May 2023 15:31:06 +0100

## synaptic 0.84.6mint1+debbie

=== debian/changelog ===
synaptic (0.84.6mint1+debbie) debbie; urgency=medium

  * Don't show upgrade features
  * UI fixes
  * Add window-progress support

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Jan 2020 15:56:39 +0000

=== debian/control ===
Source: synaptic
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 8), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5), dh-autoreconf, libxapp-dev
Build-Conflicts: librpm-dev
Standards-Version: 3.7.2.2
Vcs-Git: https://github.com/mvo5/synaptic
Homepage: http://www.nongnu.org/synaptic/
X-Ubuntu-Use-Langpack: yes

Package: synaptic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1, zenity
Conflicts: menu (<< 2.1.11)
Recommends: libgtk2-perl (>= 1:1.130), xdg-utils
Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk
Description: Graphical package manager 
 Synaptic is a graphical package management tool based on GTK+ and APT.
 Synaptic enables you to install, upgrade and remove software packages in
 a user friendly way.
 .
 Besides these basic functions the following features are provided:
  * Search and filter the list of available packages
  * Perform smart system upgrades
  * Fix broken package dependencies
  * Edit the list of used repositories (sources.list)
  * Download the latest changelog of a package
  * Configure packages through the debconf system
  * Browse all available documentation related to a package (dwww is required)

## synaptic 0.84.6ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: synaptic
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper (>= 8), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5), dh-autoreconf, libxapp-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Build-Depends: debhelper (>= 8), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5), dh-autoreconf
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2
 Vcs-Git: https://github.com/mvo5/synaptic

## synaptic 0.84.6ubuntu2

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: synaptic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1, zenity
+Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1
 Conflicts: menu (<< 2.1.11)
 Recommends: libgtk2-perl (>= 1:1.130), xdg-utils
 Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk

## synaptic 0.84.6ubuntu5

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1
 Conflicts: menu (<< 2.1.11)
-Recommends: libgtk2-perl (>= 1:1.130), xdg-utils
+Recommends: libgtk3-perl, xdg-utils
 Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk
 Description: Graphical package manager 
  Synaptic is a graphical package management tool based on GTK+ and APT.

## synaptic 0.84.6%2Blinuxmint3

=== debian/changelog ===
synaptic (0.84.6+linuxmint3) una; urgency=medium

  * Bump version

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Jan 2022 14:04:51 +0000

synaptic (0.84.6linuxmint3) una; urgency=medium

  * Open a cache even when update-at-startup is True

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Jan 2022 13:17:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper (>= 8), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5), dh-autoreconf
+Build-Depends: debhelper (>= 8), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5), dh-autoreconf, libxapp-dev
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2
 Vcs-Git: https://github.com/mvo5/synaptic

## synaptic 0.84.6+nmu1

=== debian/changelog ===
synaptic (0.84.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:27:12 +0800

## synaptic 0.84.6+rpi1

=== debian/changelog ===
synaptic (0.84.6+rpi1) buster-staging; urgency=medium

  [changes brought forward from 0.81.2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 01 Aug 2014 01:51:30 +0000]
  * Fix build on raspbian (see: #744371).

  [changes introduced in 0.83+rpi1+nmu1 by Peter Michael Green]
  * Force build system to apply patches for Debian regardless of system.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 27 Apr 2019 12:36:38 +0000

=== debian/rules ===
#!/usr/bin/make -f

# make the package build on ubuntu and debian
# DIST = $(shell lsb_release -i -s)
DIST = Debian

DHFLAGS=--parallel
CONFIGURE_FLAGS= --prefix=/usr \
	      --mandir=\$${prefix}/share/man \
	      --infodir=\$${prefix}/share/info \
	      --localstatedir=/var/lib/synaptic \
	      --sysconfdir=/etc \
	      --with-pkg-hold \
	      $(MULTIARCH)

%:
	dh $@ --with autoreconf $(DHFLAGS)

override_dh_auto_configure:
	dh_auto_configure $(DHFLAGS) -- $(CONFIGURE_FLAGS) 

override_dh_auto_install:
	dh_auto_install $(DHFLAGS)
	# allow per distro supported PIXMAP, FIXME: make this part
	# of the install (e.g. package-supported.{Ubuntu,Debian} and
	# do run-time switching
	if [ -f debian/package-supported.png.$(DIST) ]; then \
		cp debian/package-supported.png.$(DIST) $(CURDIR)/debian/synaptic/usr/share/icons/hicolor/16x16/actions/package-supported.png; \
	fi

override_dh_installman:
	dh_installman -psynaptic man/synaptic.es.8 man/synaptic.fr.8 man/synaptic.hr.8 man/synaptic.ja.8 man/synaptic.pt_BR.8 man/synaptic.ru.8 man/synaptic.tr.8

# FIXME: use quilt instead - quilt has a nice concept of 
#        debian/patches/{ubuntu,debian}.series but that does not
#        work for native packages :/

# patch
override_dh_auto_build:
	# apply distro specific patches if we have them
	if [ -e debian/patches/00list.$(DIST) ]; then \
	  cp debian/patches/00list.$(DIST) debian/patches/00list;\
	  dpatch apply-all;\
	fi;
	dh_auto_build $(DHFLAGS)
	# ubuntu specific for universe langpacks but will not do any
	#  harm on debian
	make -C po synaptic.pot

# unpatch
override_dh_auto_clean:
	if [ -e debian/patches/00list.$(DIST) ]; then \
	  cp debian/patches/00list.$(DIST) debian/patches/00list;\
	  dpatch deapply-all;\
	fi;
	rm -rf patch-stamp debian/patched
	dh_auto_clean $(DHFLAGS)

## synaptic 0.84.6.0antix1

=== debian/changelog ===
synaptic (0.84.6.0antix1) unstable; urgency=medium

  * remove zenity dependency 

 -- anticapitalista <antix@operamail.com>  Sun, 21 Apr 2019 15:11:48 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: synaptic
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper (>= 8), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5), dh-autoreconf, libxapp-dev
+Maintainer: Michael Vogt <mvo@debian.org>
+Build-Depends: debhelper (>= 8), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5), dh-autoreconf
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2
 Vcs-Git: https://github.com/mvo5/synaptic
@@ -14,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1
 Conflicts: menu (<< 2.1.11)
-Recommends: libgtk3-perl, xdg-utils
+Recommends: libgtk2-perl (>= 1:1.130), xdg-utils, zenity
 Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk
 Description: Graphical package manager 
  Synaptic is a graphical package management tool based on GTK+ and APT.

## synaptic 0.90~mx19

=== debian/changelog ===
synaptic (0.90~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 06 Feb 2020 14:30:31 -0500

synaptic (0.90) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Update config.h.in and INSTALL file
  * Remove obsolete <apt-pkg/sptr.h> include
  * Use RFC1123StrToTime instead of StrToTime
  * Use VerIterator::Section() instead of PkgIterator::Section()
  * Use APT::Progress::PackageManager subclass instead of fd
  * Remove calls to no-op InstallProtect()
  * Port code from TFRewrite to pkgTagSection::Write
  * Fix un-namespaced use of std::vector and std::string
  * Port pkgMakeStatusCache to pkgCacheGenerator::MakeStatusCache
  * Add missing #include <apt-pkg/update.h>
  * Port to APT::Upgrade::Upgrade
  * Port to a subclass of pkgArchiveCleaner that actually removes
  * Port GetCandidateVer to GetCandidateVersion
  * Swich from MD5 to Hashes
  * Use apt-pkg's indexcopy, it was merged in 2005
  * CurrentSize and co in acquire worker moved to CurrentItem
  * configure.in: apt-inst is optional

  [ Reuben ]
  * Use pkgAcqChangelog to get changelog URI.
  * Remove obsolete getChangelogURI() function

  [ Michael Vogt ]
  * rgpkgtreeview.cc: save column width changes in config

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * debian/control: Add Vcs-Browser field
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Use canonical URL in Vcs-Git.
  * Fix day-of-week for changelog entries 0.62.1, 0.37-1.

 -- Michael Vogt <mvo@debian.org>  Sat, 25 Jan 2020 15:15:30 +0200

synaptic (0.84.8) unstable; urgency=medium

  * debian/control:
    - update recommends of libgtk2-perl to libgtk3-perl
      (closes: #891877)

 -- Michael Vogt <mvo@debian.org>  Tue, 15 Oct 2019 06:58:08 +0200

synaptic (0.84.7) unstable; urgency=medium

  [ Boyuan Yang ]
  * po: zh_CN.po: Update translation

  [ Michael Vogt ]
  * Allow running synaptic under wayland again. Wayland supports
    this now since Gnome/Mutter 3.34

 -- Michael Vogt <mvo@debian.org>  Sun, 13 Oct 2019 08:44:26 +0200

## synaptic 0.90%2Bmx19

=== debian/changelog ===
synaptic (0.90+mx19) mx; urgency=medium

  * Rebuild to be higher than antiX version.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 Jul 2020 10:10:25 -0700

## synaptic 0.90+antix1

=== debian/changelog ===
synaptic (0.90+antix1) unstable; urgency=medium

  * removed policykit-1 depends 

 -- anticapitalista <antix@operamail.com>  Mon, 03 Feb 2020 16:49:36 +0200

=== debian/control ===
Source: synaptic
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5)
Build-Conflicts: librpm-dev
Standards-Version: 3.7.2.2
Vcs-Git: https://github.com/mvo5/synaptic.git
Homepage: https://www.nongnu.org/synaptic/
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://github.com/mvo5/synaptic

Package: synaptic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme
Conflicts: menu (<< 2.1.11)
Recommends: libgtk3-perl, xdg-utils
Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk
Description: Graphical package manager
 Synaptic is a graphical package management tool based on GTK+ and APT.
 Synaptic enables you to install, upgrade and remove software packages in
 a user friendly way.
 .
 Besides these basic functions the following features are provided:
  * Search and filter the list of available packages
  * Perform smart system upgrades
  * Fix broken package dependencies
  * Edit the list of used repositories (sources.list)
  * Download the latest changelog of a package
  * Configure packages through the debconf system
  * Browse all available documentation related to a package (dwww is required)

## synaptic 0.90+antix2

=== debian/changelog ===
synaptic (0.90+antix2) unstable; urgency=medium

  * desktop file to su-to-root -X -c /usr/sbin/synaptic
  * removed debian/synaptic-pkexec usr/bin/ from install

 -- anticapitalista <antix@operamail.com>  Tue, 03 Mar 2020 15:40:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 # make the package build on ubuntu and debian
-# DIST = $(shell lsb_release -i -s)
-DIST = Debian
+DIST = $(shell lsb_release -i -s)
 
 DHFLAGS=--parallel
 CONFIGURE_FLAGS= --prefix=/usr \
@@ -14,10 +13,10 @@
 	      $(MULTIARCH)
 
 %:
-	dh $@ --with autoreconf $(DHFLAGS)
+	dh $@ $(DHFLAGS)
 
 override_dh_auto_configure:
-	dh_auto_configure $(DHFLAGS) -- $(CONFIGURE_FLAGS) 
+	dh_auto_configure $(DHFLAGS) -- $(CONFIGURE_FLAGS)
 
 override_dh_auto_install:
 	dh_auto_install $(DHFLAGS)
@@ -31,7 +30,7 @@
 override_dh_installman:
 	dh_installman -psynaptic man/synaptic.es.8 man/synaptic.fr.8 man/synaptic.hr.8 man/synaptic.ja.8 man/synaptic.pt_BR.8 man/synaptic.ru.8 man/synaptic.tr.8
 
-# FIXME: use quilt instead - quilt has a nice concept of 
+# FIXME: use quilt instead - quilt has a nice concept of
 #        debian/patches/{ubuntu,debian}.series but that does not
 #        work for native packages :/
 
@@ -49,9 +48,7 @@
 
 # unpatch
 override_dh_auto_clean:
-	if [ -e debian/patches/00list.$(DIST) ]; then \
-	  cp debian/patches/00list.$(DIST) debian/patches/00list;\
-	  dpatch deapply-all;\
-	fi;
+	cp debian/patches/00list.$(DIST) debian/patches/00list
+	dpatch deapply-all
 	rm -rf patch-stamp debian/patched
 	dh_auto_clean $(DHFLAGS)

## synaptic 0.90+antix3

=== debian/changelog ===
synaptic (0.90+antix3) unstable; urgency=medium

  * bump version

 -- anticapitalista <antix@operamail.com>  Mon, 16 Mar 2020 12:53:23 +0200

## synaptic 0.90+mx19

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,21 @@
 Source: synaptic
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5)
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dpatch,
+               dpkg (>= 1.13.9),
+               gettext,
+               intltool,
+               libapt-pkg-dev (>= 0.8.16~exp12),
+               libept-dev (>= 1.0.5),
+               libgtk-3-dev,
+               libsm-dev,
+               libvte-2.91-dev,
+               lsb-release,
+               sharutils,
+               xmlto
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2
 Vcs-Git: https://github.com/mvo5/synaptic.git
@@ -12,10 +25,15 @@
 
 Package: synaptic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme
+Depends: hicolor-icon-theme, policykit-1, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: menu (<< 2.1.11)
 Recommends: libgtk3-perl, xdg-utils
-Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk
+Suggests: apt-xapian-index,
+          deborphan,
+          dwww,
+          menu,
+          software-properties-gtk,
+          tasksel
 Description: Graphical package manager
  Synaptic is a graphical package management tool based on GTK+ and APT.
  Synaptic enables you to install, upgrade and remove software packages in

=== debian/rules ===
--- 
+++ 
@@ -52,3 +52,6 @@
 	dpatch deapply-all
 	rm -rf patch-stamp debian/patched
 	dh_auto_clean $(DHFLAGS)
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## synaptic 0.90+nmu1

=== debian/changelog ===
synaptic (0.90+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.63.2, 0.63.1ubuntu3,
    0.55+cvs20041119-1ubuntu4.

  [ Julian Andres Klode ]
  * Port to APT 1.9.11: Use pkgCacheFile instead of manually opening cache
    (Closes: #953311)

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Mar 2020 14:46:39 +0100

=== debian/control ===
Source: synaptic
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5)
Build-Conflicts: librpm-dev
Standards-Version: 3.7.2.2
Vcs-Git: https://github.com/mvo5/synaptic.git
Homepage: https://www.nongnu.org/synaptic/
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://github.com/mvo5/synaptic

Package: synaptic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1
Conflicts: menu (<< 2.1.11)
Recommends: libgtk3-perl, xdg-utils
Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk
Description: Graphical package manager
 Synaptic is a graphical package management tool based on GTK+ and APT.
 Synaptic enables you to install, upgrade and remove software packages in
 a user friendly way.
 .
 Besides these basic functions the following features are provided:
  * Search and filter the list of available packages
  * Perform smart system upgrades
  * Fix broken package dependencies
  * Edit the list of used repositories (sources.list)
  * Download the latest changelog of a package
  * Configure packages through the debconf system
  * Browse all available documentation related to a package (dwww is required)

## synaptic 0.90+nmu1.0antix1

=== debian/changelog ===
synaptic (0.90+nmu1.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Mon, 09 Mar 2020 17:48:19 +0200

## synaptic 0.90+rpi1

=== debian/changelog ===
synaptic (0.90+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 0.81.2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 01 Aug 2014 01:51:30 +0000]
  * Fix build on raspbian (see: #744371).

  [changes introduced in 0.83+rpi1+nmu1 by Peter Michael Green]
  * Force build system to apply patches for Debian regardless of system.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 31 Jan 2020 18:29:31 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 # make the package build on ubuntu and debian
-DIST = $(shell lsb_release -i -s)
+# DIST = $(shell lsb_release -i -s)
+DIST = Debian
 
 DHFLAGS=--parallel
 CONFIGURE_FLAGS= --prefix=/usr \
@@ -48,10 +49,9 @@
 
 # unpatch
 override_dh_auto_clean:
-	cp debian/patches/00list.$(DIST) debian/patches/00list
-	dpatch deapply-all
+	if [ -e debian/patches/00list.$(DIST) ]; then \
+	  cp debian/patches/00list.$(DIST) debian/patches/00list;\
+	  dpatch deapply-all;\
+	fi;
 	rm -rf patch-stamp debian/patched
 	dh_auto_clean $(DHFLAGS)
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## synaptic 0.90.1

=== debian/changelog ===
synaptic (0.90.1) unstable; urgency=medium

  [ Michael Vogt ]
  * README.md: rename and update development location
  * update autotools to work with modern automake/autoconf

  [ Roderich Schupp ]
  * Provide a default width for the conffile dialog
  * Fix the one-line diff in conffile comparison window (Closes: #944219)

  [ Julian Andres Klode ]
  * Remove dpatch patches (see bug #904302)
  * Handle Ubuntu support status
  * pre-build.sh: Change for configure.ac, exit if changing version

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Nov 2020 11:35:55 +0100

## synaptic 0.90.2

=== macros/Makefile ===
# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/xawtv_applet
pkglibdir = $(libdir)/xawtv_applet
pkgincludedir = $(includedir)/xawtv_applet

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu
BUILD_INCLUDED_LIBINTL = no
CATALOGS =  de.gmo fr.gmo
CATOBJEXT = .gmo
CC = gcc
DATADIRNAME = share
GENCAT = gencat
GLIBC21 = yes
GMOFILES =  de.gmo fr.gmo
GMSGFMT = /usr/bin/msgfmt
GNOMEUI_CFLAGS =  -I/usr/include/libgnome-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/linc-1.0  
GNOMEUI_LIBS =  -lgnome-2 -lbonobo-2 -lgnomevfs-2 -lbonobo-activation -lxml2 -lz -lgconf-2 -lORBit-2 -lgthread-2.0 -lpthread -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lm -llinc  
GNOME_CFLAGS = 
GNOME_LIBS = 
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
LIBICONV = 
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
PACKAGE = xawtv_applet
PKG_CONFIG = /usr/bin/pkg-config
POFILES =  de.po fr.po
POSUB = po
RANLIB = ranlib
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.9.14

MACROS =    aclocal-include.m4				  compiler-flags.m4				  curses.m4					  gnome-bonobo-check.m4				  gnome-fileutils.m4				  gnome-ghttp-check.m4				  gnome-gnorba-check.m4				  gnome-guile-checks.m4				  gnome-libgtop-check.m4			  gnome-objc-checks.m4				  gnome-orbit-check.m4				  gnome-print-check.m4				  gnome-pthread-check.m4			  gnome-support.m4				  gnome-undelfs.m4				  gnome-vfs.m4					  gnome-x-checks.m4				  gnome-xml-check.m4				  gnome.m4					  gperf-check.m4				  linger.m4					  need-declaration.m4


EXTRA_DIST = $(MACROS) gnome-common.m4 autogen.sh
MAINTAINERCLEANFILES = macros.dep

@INSIDE_GNOME_COMMON_TRUE@gnome_aclocaldir = $(datadir)/aclocal/gnome-macros

@INSIDE_GNOME_COMMON_TRUE@gnome_aclocal_DATA = $(MACROS) gnome-macros.dep gnome-common.m4 	autogen.sh
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
DATA =  $(gnome_aclocal_DATA)

DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu macros/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-gnome_aclocalDATA: $(gnome_aclocal_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(gnome_aclocaldir)
	@list='$(gnome_aclocal_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gnome_aclocaldir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gnome_aclocaldir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(gnome_aclocaldir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(gnome_aclocaldir)/$$p; \
	  fi; fi; \
	done

uninstall-gnome_aclocalDATA:
	@$(NORMAL_UNINSTALL)
	list='$(gnome_aclocal_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(gnome_aclocaldir)/$$p; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = macros

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu macros/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-gnome_aclocalDATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-gnome_aclocalDATA
uninstall: uninstall-am
all-am: Makefile $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(gnome_aclocaldir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: uninstall-gnome_aclocalDATA install-gnome_aclocalDATA tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-am install-exec install-data-am install-data \
install-am install uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


macros.dep: Makefile.am
	@echo '$$(top_srcdir)/aclocal.m4: $(MACROS:%=macros/%)' > $@

@INSIDE_GNOME_COMMON_TRUE@gnome-macros.dep: Makefile.am
@INSIDE_GNOME_COMMON_TRUE@	@echo '$$(top_srcdir)/aclocal.m4: $(MACROS:%=$(gnome_aclocaldir)/%)' > $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
synaptic (0.90.2) unstable; urgency=medium

  [ Heimen Stoffels ]
  * Updated Dutch translation

  [ rezso ]
  * Update autogen.sh

  [ Michael Vogt ]
  * gtk: fix invalid assignment from SizeToStr to intermediate value
    (Closes: 974790, 974725)

 -- Michael Vogt <mvo@debian.org>  Mon, 16 Nov 2020 09:56:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5)
+Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5)
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2
 Vcs-Git: https://github.com/mvo5/synaptic.git

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 # make the package build on ubuntu and debian
-# DIST = $(shell lsb_release -i -s)
-DIST = Debian
+DIST = $(shell lsb_release -i -s)
 
 DHFLAGS=--parallel
 CONFIGURE_FLAGS= --prefix=/usr \
@@ -37,11 +36,6 @@
 
 # patch
 override_dh_auto_build:
-	# apply distro specific patches if we have them
-	if [ -e debian/patches/00list.$(DIST) ]; then \
-	  cp debian/patches/00list.$(DIST) debian/patches/00list;\
-	  dpatch apply-all;\
-	fi;
 	dh_auto_build $(DHFLAGS)
 	# ubuntu specific for universe langpacks but will not do any
 	#  harm on debian
@@ -49,9 +43,4 @@
 
 # unpatch
 override_dh_auto_clean:
-	if [ -e debian/patches/00list.$(DIST) ]; then \
-	  cp debian/patches/00list.$(DIST) debian/patches/00list;\
-	  dpatch deapply-all;\
-	fi;
-	rm -rf patch-stamp debian/patched
 	dh_auto_clean $(DHFLAGS)

## synaptic 0.90.2build1

=== debian/changelog ===
synaptic (0.90.2build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:54:08 -0500

## synaptic 0.90.2build1+11.0trisquel0

=== debian/changelog ===
synaptic (0.90.2build1+11.0trisquel0) aramo; urgency=medium

  * Fix synaptic screenshot url issue.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 26 Dec 2025 05:34:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: synaptic
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5)
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2

## synaptic 0.90.2%2Bantix1

=== debian/changelog ===
synaptic (0.90.2+antix1) unstable; urgency=medium

  * latest 0.90.2 upstream
  * antiX build 

 -- anticapitalista <antix@operamail.com>  Mon, 16 Nov 2020 18:30:21 +0200

synaptic (0.90.1+antix1) unstable; urgency=medium

  * antiX build
  * remove policykit dependency 

 -- anticapitalista <antix@operamail.com>  Sun, 15 Nov 2020 13:36:22 +0200

## synaptic 0.90.2%2Bmint3%2Bvanessa

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: synaptic
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5)
+Maintainer: Michael Vogt <mvo@debian.org>
+Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5), libxapp-dev
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2
 Vcs-Git: https://github.com/mvo5/synaptic.git

## synaptic 0.90.2+b1antix1

=== debian/changelog ===
synaptic (0.90.2+b1antix1) unstable; urgency=medium

  * antiX testing/sid builds

 -- anticapitalista <antix@operamail.com>  Sat, 27 Nov 2021 19:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5), libxapp-dev
+Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5)
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2
 Vcs-Git: https://github.com/mvo5/synaptic.git
@@ -12,7 +12,7 @@
 
 Package: synaptic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1
+Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme
 Conflicts: menu (<< 2.1.11)
 Recommends: libgtk3-perl, xdg-utils
 Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk

## synaptic 0.90.2+mint3+elsie

=== debian/changelog ===
synaptic (0.90.2+mint3+elsie) vanessa; urgency=medium

  * polkit: Remember password

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Oct 2022 09:43:02 +0100

synaptic (0.90.2+mint2) vanessa; urgency=medium

  * Don't show upgrade features
  * Don't color the search entry in yellow when performing a search
  * dialog_conffile.ui: Properly expand a scrolled window
  * error-dialogs: Fix the default height
  * Add support for window-progress
  * polkit: Fix polkit message
  * Open a cache even when update-at-startup is True

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jun 2022 19:08:55 +0200

## synaptic 0.90.2+mint3+vanessa

=== debian/changelog ===
synaptic (0.90.2+mint3+vanessa) vanessa; urgency=medium

  * polkit: Remember password

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Oct 2022 09:43:02 +0100

## synaptic 0.91

=== debian/changelog ===
synaptic (0.91) unstable; urgency=medium

  [ Bryan Quigley ]
  * Follow https://wiki.gnome.org/Projects/GnomeCommon/Migration
  * Updated Readme and add initial Contributing.md
  * Update all the home page mentions that appear current
  * drop gtk3-compat
  * Drop gtk_plugin bits that haven't been used since gtk3
  * Remove plug-progress-into option
  * make gtk3.4 the new miniumum
  * Github actions: add a basic make and debuild
  * drop rgvendorswindow*
  * add install/removing the deb
  * "vte_terminal_copy_clipboard has been deprecated since version 0.50 and should not be used in newly-written code.
  * Fully disable the remove dependencies code so we don't get warnngs from it.
  * Update vte min requirements
  * Clean more unused files
  * This really wants to be in a different part of the file
  * Move to using gtk_about_dialog
  * Drop hardcoded browsers

  [ Janvitus ]
  * Updated italian translation.

  [ Federico Grau ]
  * Update default icon size for application

  [ baranzadeoglu ]
  * Update synaptic.8

  [ Fatih Altun ]
  * Update Turkish translations

  [ Emilian Nowak ]
  * Updated polish translation

  [ yusufymz ]
  * Update tr.po

  [ Michael Vogt ]
  * gtk: move from deprecated gtk_menu_popup to gtk_menu_popup_at_pointer
  * gtk: remove fixed-size for status/supported pixmap columns

  [ Boyuan Yang ]
  * c/rconfiguration.cc: include unistd.h to prevent FTBFS (Closes: #1011688)

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Jun 2022 20:26:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2
 Vcs-Git: https://github.com/mvo5/synaptic.git
-Homepage: https://www.nongnu.org/synaptic/
+Homepage: https://github.com/mvo5/synaptic/wiki
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://github.com/mvo5/synaptic
 
 Package: synaptic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme
+Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1
 Conflicts: menu (<< 2.1.11)
 Recommends: libgtk3-perl, xdg-utils
 Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk

## synaptic 0.91.1

=== debian/changelog ===
synaptic (0.91.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg, libapt-pkg-dev and
      libept-dev.
    + synaptic: Drop versioned constraint on menu in Conflicts.

  [ Pino Toscano ]
  * Stop suggesting 'menu', as it is not needed/used anymore since 0.75.12
    (Closes: #1012436)

  [ Michael Vogt ]
  * Revert "gtk: remove fixed-size for status/supported pixmap columns"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Jun 2022 14:49:44 +0200

## synaptic 0.91.1.0antix1

=== debian/changelog ===
synaptic (0.91.1.0antix1) unstable; urgency=medium

  * antiX builds 

 -- anticapitalista <antix@operamail.com>  Thu, 30 Jun 2022 19:50:28 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper-compat (= 12), libapt-pkg-dev (>= 0.8.16~exp12), gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, dpkg (>= 1.13.9), libept-dev (>= 1.0.5)
+Build-Depends: debhelper-compat (= 12), libapt-pkg-dev, gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, libept-dev
 Build-Conflicts: librpm-dev
 Standards-Version: 3.7.2.2
 Vcs-Git: https://github.com/mvo5/synaptic.git
@@ -12,10 +12,9 @@
 
 Package: synaptic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1
-Conflicts: menu (<< 2.1.11)
+Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme
 Recommends: libgtk3-perl, xdg-utils
-Suggests: dwww, menu, deborphan, apt-xapian-index, tasksel, software-properties-gtk
+Suggests: dwww, deborphan, apt-xapian-index, tasksel, software-properties-gtk
 Description: Graphical package manager
  Synaptic is a graphical package management tool based on GTK+ and APT.
  Synaptic enables you to install, upgrade and remove software packages in

## synaptic 0.91.2

=== debian/changelog ===
synaptic (0.91.2) unstable; urgency=medium

  * gtk: fix incorrect status/support pixbuf icon sizes (Closes: #1014164)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 02 Jul 2022 09:59:20 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: synaptic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme
+Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1
 Recommends: libgtk3-perl, xdg-utils
 Suggests: dwww, deborphan, apt-xapian-index, tasksel, software-properties-gtk
 Description: Graphical package manager

## synaptic 0.91.2.0antix1

=== debian/changelog ===
synaptic (0.91.2.0antix1) unstable; urgency=medium

  * antiX builds without policykit 

 -- anticapitalista <antix@operamail.com>  Sun, 03 Jul 2022 12:23:39 +0300

## synaptic 0.91.3

=== debian/changelog ===
synaptic (0.91.3) unstable; urgency=medium

  [ Bryan Quigley ]
  * Drop WINGS gui

  [ Pino Toscano ]
  * Drop menu file and its pixmap, since synaptic already provides
    a .desktop file
  * debian: don't manually create dirs created by the buildsystem
  * Drop unused XPM versions of the application icon
  * Move global hicolor icons to category subdirectory
  * Install app icon in the global hicolor icon theme
  * Drop old KDE-related item from TODO

  [ Michael Vogt ]
  * gtk: build with -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
  * common: do not ask the user to report a bug when _cache->open() fails
  * debian: rename NEWS.Debian -> NEWS
  * debian: drop old comment about quilt in rules
  * debian: move to standards version 4.5.0

  [ Akbarkhon Variskhanov ]
  * debian: rename README in synaptic.docs as well

  [ Simon McVittie ]
  * d/control: Depend on polkitd and pkexec in preference to policykit-1
    (Closes: #1025630)

 -- Michael Vogt <mvo@debian.org>  Sat, 11 Feb 2023 09:56:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper-compat (= 12), libapt-pkg-dev, gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, libept-dev
 Build-Conflicts: librpm-dev
-Standards-Version: 3.7.2.2
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/mvo5/synaptic.git
 Homepage: https://github.com/mvo5/synaptic/wiki
 X-Ubuntu-Use-Langpack: yes
@@ -12,7 +12,7 @@
 
 Package: synaptic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, policykit-1
+Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, polkitd | policykit-1, pkexec | policykit-1
 Recommends: libgtk3-perl, xdg-utils
 Suggests: dwww, deborphan, apt-xapian-index, tasksel, software-properties-gtk
 Description: Graphical package manager

## synaptic 0.91.3build4

=== debian/changelog ===
synaptic (0.91.3build4) noble; urgency=high

  * No change rebuild against libapt-pkg6.0t64, libept1.6.0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:50:42 +0200

synaptic (0.91.3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:17:52 +0000

synaptic (0.91.3build2) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:15:23 +0000

synaptic (0.91.3build1) noble; urgency=medium

  * No-change rebuild against libapt-pkg6.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2024 19:22:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: synaptic
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper-compat (= 12), libapt-pkg-dev, gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, libept-dev
 Build-Conflicts: librpm-dev
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -30,10 +30,6 @@
 override_dh_installman:
 	dh_installman -psynaptic man/synaptic.es.8 man/synaptic.fr.8 man/synaptic.hr.8 man/synaptic.ja.8 man/synaptic.pt_BR.8 man/synaptic.ru.8 man/synaptic.tr.8
 
-# FIXME: use quilt instead - quilt has a nice concept of
-#        debian/patches/{ubuntu,debian}.series but that does not
-#        work for native packages :/
-
 # patch
 override_dh_auto_build:
 	dh_auto_build $(DHFLAGS)

## synaptic 0.91.3%2Bantix2

=== debian/changelog ===
synaptic (0.91.3+antix2) unstable; urgency=medium

  * updated desktop file

 -- anticapitalista <antix@operamail.com>  Fri, 07 Apr 2023 12:22:55 +0300

synaptic (0.91.3+antix1) unstable; urgency=medium

  * antiX build 
  * remove policykit dependency

 -- anticapitalista <antix@operamail.com>  Sat, 11 Feb 2023 22:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: synaptic
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper-compat (= 12), libapt-pkg-dev, gettext, libgtk-3-dev, libvte-2.91-dev, intltool, xmlto, libsm-dev , sharutils, lsb-release, libept-dev
 Build-Conflicts: librpm-dev
 Standards-Version: 4.5.0
@@ -13,7 +12,7 @@
 
 Package: synaptic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme, polkitd | policykit-1, pkexec | policykit-1
+Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme
 Recommends: libgtk3-perl, xdg-utils
 Suggests: dwww, deborphan, apt-xapian-index, tasksel, software-properties-gtk
 Description: Graphical package manager

## synaptic 0.91.3%2Bmint1%2Bwilma

=== debian/changelog ===
synaptic (0.91.3+mint1+wilma) faye; urgency=medium

  * Don't show upgrade features
  * Don't color the search entry in yellow when performing a search
  * dialog_conffile.ui: Properly expand a scrolled window
  * error-dialogs: Fix the default height
  * polkit: Fix polkit message
  * Open a cache even when update-at-startup is True
  * polkit: Remember password
  * Add support for window-progress

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Aug 2023 15:25:00 +0100

## synaptic 0.91.3+b1.0antix1

=== debian/changelog ===
synaptic (0.91.3+b1.0antix1) unstable; urgency=medium

  * bump version

 -- anticapitalista <antix@operamail.com>  Mon, 22 Apr 2024 18:32:00 +0300
